<?php

namespace Magento\FirstDataGateway\Controller\Update;

class Success extends \Magento\Framework\App\Action\Action
{
	protected $_pageFactory;
	protected $helper;
	protected $scopeConfig;
	
	public function __construct(
		\Magento\Framework\App\Action\Context $context,
		\Magento\Framework\View\Result\PageFactory $pageFactory,
		\Magento\FirstDataGateway\Helper\Request $helper,
		\Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
	)
	{
		$this->helper = $helper;
		$this->_pageFactory = $pageFactory;
		$this->scopeConfig = $scopeConfig;
		return parent::__construct($context);
	}
	
	public function execute()
	{
		$p = $this->scopeConfig->getValue('payment/firstdata_gateway/pos_id');
		$k = $this->scopeConfig->getValue('payment/firstdata_gateway/key');
		$this->helper->request($p, $k);
		$this->_redirect('checkout/onepage/success/');
	}

}
